Open CASCADE Technology: gce_MakeMirror Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gce_MakeMirror Class Reference

This class mplements elementary construction algorithms for a symmetrical transformation in 3D space about a point, axis or plane. The result is a gp_Trsf transformation. A MakeMirror object provides a framework for: More...

`#include <gce_MakeMirror.hxx>`

## Public Member Functions
| gce_MakeMirror (const gp_Pnt &Point)
| gce_MakeMirror (const gp_Ax1 &Axis)
| gce_MakeMirror (const gp_Lin &Line)
| gce_MakeMirror (const gp_Pnt &Point, const gp_Dir &Direc)
| Makes a symmetry transformation af axis defined by <Point> and <Direc>. More...
| gce_MakeMirror (const gp_Pln &Plane)
| Makes a symmetry transformation of plane <Plane>. More...
| gce_MakeMirror (const gp_Ax2 &Plane)
| Makes a symmetry transformation of plane <Plane>. More...
const gp_Trsf & | Value () const
| Returns the constructed transformation. More...
const gp_Trsf & | Operator () const
| operator gp_Trsf () const

## Detailed Description

This class mplements elementary construction algorithms for a symmetrical transformation in 3D space about a point, axis or plane. The result is a gp_Trsf transformation. A MakeMirror object provides a framework for:

- defining the construction of the transformation,
- implementing the construction algorithm, and
- consulting the result.

## Constructor & Destructor Documentation

gce_MakeMirror::gce_MakeMirror | ( | const gp_Pnt & | Point | ) |

gce_MakeMirror::gce_MakeMirror | ( | const gp_Ax1 & | Axis | ) |

gce_MakeMirror::gce_MakeMirror | ( | const gp_Lin & | Line | ) |

gce_MakeMirror::gce_MakeMirror | ( | const gp_Pnt & | Point,
|  | const gp_Dir & | Direc
| ) |  |

Makes a symmetry transformation af axis defined by <Point> and <Direc>.

gce_MakeMirror::gce_MakeMirror | ( | const gp_Pln & | Plane | ) |

Makes a symmetry transformation of plane <Plane>.

gce_MakeMirror::gce_MakeMirror | ( | const gp_Ax2 & | Plane | ) |

Makes a symmetry transformation of plane <Plane>.

## Member Function Documentation

const gp_Trsf& gce_MakeMirror::Operator | ( |  | ) | const

gce_MakeMirror::operator gp_Trsf | ( |  | ) | const

const gp_Trsf& gce_MakeMirror::Value | ( |  | ) | const

Returns the constructed transformation.

The documentation for this class was generated from the following file:

- gce_MakeMirror.hxx